Bug 439722 - Equities are shown with currencies in new account dialog
Summary: Equities are shown with currencies in new account dialog
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: general (show other bugs)
Version: 5.1.2
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-10 12:48 UTC by Thomas Baumgart
Modified: 2021-08-08 14:38 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.1.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Baumgart 2021-07-10 12:48:54 UTC
SUMMARY


STEPS TO REPRODUCE
1. Start new account wizard
2. Press Next on the first page
3. Open the drop down of the currency combobox

OBSERVED RESULT
The drop-down of the currency combo box contains investment as well

EXPECTED RESULT
The drop-down of the currency combo box only shows currencies

ADDITIONAL INFORMATION
Applies to master as well
Comment 1 Thomas Baumgart 2021-07-10 13:12:46 UTC
Git commit f87d110969a20b27d3ac670add2bdbae7407367a by Thomas Baumgart.
Committed on 10/07/2021 at 13:11.
Pushed by tbaumgart into branch 'master'.

Don't present securities in dropdown for account's currency
FIXED-IN: 5.1.3

M  +2    -2    kmymoney/wizards/newaccountwizard/kaccounttypepage.ui

https://invent.kde.org/office/kmymoney/commit/f87d110969a20b27d3ac670add2bdbae7407367a
Comment 2 Thomas Baumgart 2021-07-10 13:23:28 UTC
Git commit c0a0aad652935271bc9f457d50da4b167ec427cd by Thomas Baumgart.
Committed on 10/07/2021 at 13:16.
Pushed by tbaumgart into branch '5.1'.

Don't present securities in dropdown for account's currency
FIXED-IN: 5.1.3

(cherry picked from commit f87d110969a20b27d3ac670add2bdbae7407367a)

M  +2    -2    kmymoney/wizards/newaccountwizard/kaccounttypepage.ui

https://invent.kde.org/office/kmymoney/commit/c0a0aad652935271bc9f457d50da4b167ec427cd
Comment 3 Thomas Baumgart 2021-08-08 14:31:56 UTC
Git commit 7619adf348a989630103c3e52673b7f19679a897 by Thomas Baumgart.
Committed on 08/08/2021 at 14:31.
Pushed by tbaumgart into branch '5.1'.

Don't present securities in dropdown for categories's currency
FIXED-IN: 5.1.3
(cherry picked from commit e45c8e930b4b11d7c294be5b6f08e9089c583e91)

M  +4    -4    kmymoney/dialogs/knewaccountdlg.ui

https://invent.kde.org/office/kmymoney/commit/7619adf348a989630103c3e52673b7f19679a897
Comment 4 Thomas Baumgart 2021-08-08 14:38:15 UTC
Git commit e45c8e930b4b11d7c294be5b6f08e9089c583e91 by Thomas Baumgart.
Committed on 08/08/2021 at 14:26.
Pushed by tbaumgart into branch 'master'.

Don't present securities in dropdown for categories's currency
FIXED-IN: 5.1.3

M  +4    -4    kmymoney/dialogs/knewaccountdlg.ui

https://invent.kde.org/office/kmymoney/commit/e45c8e930b4b11d7c294be5b6f08e9089c583e91